talkd(8)

NOM
talkd - Serveur de communication avec un utilisateur distant

SYNOPSIS
talkd [options]

DESCRIPTION
talkd est le serveur qui signale à un utilisateur que quelqu’un veut démarrer une conversation. Il agit comme un dépositaire d’invitations en répondant aux requêtes des clients souhaitant se rencontrer pour avoir une conversation. Typiquement, un client, l’appelant, sollicite un rendez-vous en envoyant un message CTL_MSG de type LOOK_UP au serveur (voir protocols/talkd.h). Le serveur va alors vérifier dans sa table d’invitations s’il n’en existe pas déjà une pour l’appelant (pour parler à l'appelé spécifié dans le message). Dans la négative, l’appelant envoie un message ANNOUNCE afin que le serveur diffuse une annonce sur les ports de connexion de l’appelé pour demander un contact. Quand l’appelé répond, le serveur local utilise l’invitation enregistrée pour répondre avec l’adresse de rendez-vous appropriée et les programmes clients de l’appelant et de l’appelé établissent une connexion de flux à travers laquelle la conversation pourra se dérouler.

OPTIONS

-l, --logging
    Augmenter la prolixité de la journalisation dans syslog.

-d, --debug
    Activer le mode de débogage.

-t, --timeout secondes
    Définir le délai d’expiration à secondes.

-i, --idle-timeout secondes
    Définir le délai d’inactivité à secondes.

-r, --request-ttl secondes
    Définir la durée de vie de la requête à secondes.

-a, --acl nom_fichier
    Lire les ACL à l'échelle du site à partir de nom_fichier.

-S, --strict-policy
    Appliquer une politique d’ACL stricte.

?, --help
    Afficher l’aide.

--usage
    Afficher un court message d'utilisation.

-V, --version
    Afficher la version du logiciel.

VOIR AUSSI
talk(1), write(1)

HISTORIQUE
La commande talkd est apparue dans 4.3BSD.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3: https://www.gnu.org/licenses/gpl-3.0.html concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.